"use strict";
/**
 * From the schema, fetch all the types object and return an array of it
 * @param {*} schemaJSON
 * @returns
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTypesExceptQueries = exports.getAllTypesName = void 0;
const getAllTypesName = (schemaJSON) => {
    let typesName = [];
    for (const typeName in schemaJSON) {
        if (typeName !== "Query" && typeName !== "Mutation")
            typesName.push(typeName);
    }
    return typesName;
};
exports.getAllTypesName = getAllTypesName;
const getTypesExceptQueries = (schemaJSON) => {
    let types = [];
    for (const typeName in schemaJSON) {
        if (typeName !== "Query" && typeName !== "Mutation")
            types.push(schemaJSON[typeName]);
        schemaJSON[typeName]["typeName"] = typeName;
    }
    return types;
};
exports.getTypesExceptQueries = getTypesExceptQueries;
