import { Type } from "../models/type";
/**
 *  Compute relationships oneToMany, manyToMany, etc..
 * @param {*} types contains all types with associated attributes read from easygraphql-parser
 * @returns
 */
export declare const getRelations: (types: Type[]) => Type[];
/**
 * Build the list of join tables to add to the schema on top of standard object
 *
 * @returns Tables description
 * @param types
 */
export declare const getJoinTables: (types: Type[]) => any;
export declare const getQuerySelfJoinOne: (currentTypeName: any, fields: any) => string;
export declare const getQuerySelfJoinMany: (currentTypeName: any, fields: any) => string;
