import { Field } from './field';
export interface IType {
    type: string;
    typeName: string;
    sqlTypeName: string;
    description: string;
    directives: any[];
    relationList: any[];
    values: string[];
    fields: Field[];
    implementedTypes: any;
}
export declare class Type {
    type: string;
    typeName: string;
    sqlTypeName: string;
    description: string;
    directives: any[];
    relationList: any[];
    values: string[];
    fields: Field[];
    implementedTypes: any;
    constructor(type: string, typeName: string, sqlTypeName: string, description: string, values: string[], directives: any[], implementedTypes: any[]);
    static initTypes(schemaJSON: any): Type[];
    addField(field: any): void;
    isNotOperation(): boolean;
}
